QGIS Application - Bug report #2797
Change EPSG for a WMS Layer
2010-06-09 02:44 PM - aperi2007 -

Status: Closed

Priority: Low

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:

Operating System: Windows
Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: invalid

Copied to github as #: 12857

Description

Adding a wms layer.
Try-ing to change from default wgs84 to the needed epsg:3003.

The dialog for change the coordinate system seem don't find the 3003 ID.

Instead it work try-ing to change EPSG for a shapefile.

History

#1 - 2010-06-09 02:56 PM - Jiirgen Fischer

is the WMS server you're trying to use public? Does it offer EPSG:30037?

#2 - 2010-06-09 11:08 PM - Giovanni Manghi

Replying to [comment:4 jef]:

Does it offer EPSG:30037?

exactly, this is a server configuration, the client has nothing to do with that

#3 - 2010-06-09 11:17 PM - aperi2007 -

Replying to [comment:4 jef]:

is the WMS server you're trying to use public? Does it offer EPSG:3003?

Yes | use it from many months.

It work always, and always | was able to change from 4396 to 3003.

The string | use is this:

http://web.rete.toscana.it/sgrwms/com.rt.wms.RTmap?servicename=_rt_ wms&#38;version=1.1.0&#38;SRS=EPSG:3003

It work.

But int the qgis-windows "Add a WMS layer"
http://web.rete.toscana.it/sgrwms/com.rt.wms.RTmap?servicename=_rt_wms&#38;version=1.1.0&#38;SRS=EPSG:3003

qgis ask me to change the Coordinate Reference System.
| do it always and always it find epsg:3003.
Now It don't find epsg:3003 (a projected coordinate system).

#4 - 2010-06-10 03:02 AM - Jiirgen Fischer

Replying to [comment:7 aperi2007]:

#5 - 2010-06-10 06:04 AM - Giovanni Manghi

works for me too

#6 - 2010-06-10 09:52 AM - aperi2007 -

If | search for a unexistent epsg-id | have a clear error "no matching projection found".
But if a search for 3003 | don't have a "not found" error.

Simply it return nothing but in the list of found it is not reported.

There is only and always the wgs84.

#7 - 2010-06-10 09:56 AM - Giovanni Manghi

Just to be sure | tested also under win 7 and it still works for me.

#8 - 2010-06-17 12:45 PM - aperi2007 -

| tried to re-install completely qgis, also removing settings from windows registry.
But the bug is still here.

#9 - 2010-06-30 11:59 AM - Jiirgen Fischer

Replying to [comment:13 aperi2007]:

2
| tried to re-install completely qgis, also removing settings from windows registry.
But the bug is still here.

Are you able to reproduce this on a different machine? Or anyone else?
#10 - 2010-07-01 03:23 PM - aperi2007 -

Yes | testeed it even on another machine always on windows.

It is here.

2
| discovered hovewer that it happened only when using the parameter:
..&version=1.1.0&..

If | use the parameter
.&version=1.1.1&..
or

..&version=1.1.3&..

@

it don't happened and the srs (epsg:3003) is search with success.

@
Replying to [comment:14 jef]:

]
Replying to [comment:13 aperi2007]:

2
| tried to re-install completely qgis, also removing settings from windows registry.
But the bug is still here.

2

Are you able to reproduce this on a different machine? Or anyone else?
#11 - 2010-07-01 04:14 PM - Jiirgen Fischer
- Resolution set to invalid
- Status changed from Open to Closed

Replying to [comment:15 aperi2007]:

il
Yes | tested it even on another machine always on windows.

It is here.

i)
| discovered however that it happened only when using the parameter:
..&version=1.1.0&..

Oh, | didn't realize that you are specifing the version and/or SRS manually? There's no need to. QGIS adds the selected SRS and the VERSION
advertised in [[GetCapabilities]] to [[GetMap]] requests anyway. So adding it again might irritated the server.
